Subject: Re: FTP server?
From: "Daniel Adams" <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jul 2002 16:52:57 -0700
Newsgroups: gmane.os.cygwin

Anther thing I just noticed is that when trying to log in via the cygwin FTP

client into the server in question, is that I was able to an ls command in

the default directory for a user, no error, and then I tried changing to

another directory and I had troubles.

Also in relation to the idea of the PATH environment variable, for a long

time it has included "c:\cygwin\bin" which is where the only copy of

cygwin1.dll resides on my computer.

Daniel Adams - [email-masked]

http://dana.ucc.nau.edu/~dpa3

-----Original Message-----

From: Andrew DeFaria [mailto:[email-masked]]

Sent: Wednesday, July 17, 2002 4:36 PM

Subject: Re: FTP server?

Daniel Adams wrote:

In answer to the questions,

I had not remembered about cygwin's own FTP command line client program, it

did work so the only FTP program that it did not work with was with ws_ftp.

There server I have setup is my personal machine, win2k with cygwin

installed and setup to listen to FTP requests.

When I connect to the FTP server that is in question, I always use a

username/password as in there is no anonymous access.

When I was describing this "engineering server" I hadn't thought it would

matter, being that it was to point out that other FTP clients can get in.

But anyways I am not sure what version of the software is installed, though

it is a Solaris machine. If someone wants me to check, I will ask what

commands to use?

Another thing I realized is that this same FTP server that I am having

troubles was setup and working back in May without any configuration changes

to the server, and it worked perfectly fine then when running on the

standard port for FTP. The only changes I have made since then was to do

periodic updates of my cygwin installation, but I have not altered my

inetd.conf file and the similar config files. If anyone has a suggestion I

would greatly appreciate it.

Thanks for filling in the gaps. Not sure about the ws_ftp program - I don't

use it so I don't know how it runs. However the error you describe:

When I try with ws_ftp to connect to the server, and then do a list command

it gives me an error saying "The application failed to initialize properly

(0xc0000022). Click on OK to terminate the application."

Sounds suspiciously like what you are missing is putting Cygwin's PATH in

the Windows System Environment Variable. The basic question that needs to

be addressed is how is cygwin1.dll being found? As you may know cygwin1.dll

is the emulation library and most Cygwin processes, include in.ftpd.exe and

ls.exe need to find it. Additionally, services, such as inetd ergo in.ftpd

are run before anybody logs in. This is the reason why you must effect the

Windows System Environment Variable. The reason you need to alter PATH is

that when a process starts up in Windows all dll's need to be resolved.

Windows first looks in the program files current working directory (for

inetd that's /usr/sbin and there is no cygwin1.dll there). Next it looks at

the components in PATH. Being a service here it looks at the components of

PATH in the Windows System Environment Variables not the User's Environment

Variables once logged in.

Normally inetd will not even start as a service unless it too can locate

cygwin1.dll. However one could have copied Cygwin's cygwin1.dll (normally

found in Cygwin's bin) to /usr/sbin.

So I would check that - make sure the Cygwin's bin is in the Windows System

Environment Variable PATH (I put mine in front) and reboot the server. A

reboot is necessary to refresh the Windows System Environment (which is

established only at boot time). Also make sure you don't have multiple

cygwin1.dll's on the system.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/